Page MenuHomePhabricator

[Regression] PHP version check broken in load.php and api.php
Closed, ResolvedPublic

Description

According to https://3v4l.org/giQf8, PHP versions older than 5.3.0 will throw a syntax error instead of showing the normal error message.

Caused by rMW636cc420c61b: resourceloader: Make ResourceLoader logger aware.

Event Timeline

Legoktm created this task.Sep 17 2015, 7:34 PM
Legoktm updated the task description. (Show Details)
Legoktm raised the priority of this task from to Needs Triage.
Legoktm added subscribers: Legoktm, Krinkle.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 17 2015, 7:34 PM
Legoktm set Security to None.Sep 17 2015, 7:34 PM
Legoktm added a subscriber: PleaseStand.

I think we should remove the PHP<5.3 detection from entry points other than index.php. When the wiki is broken to the extend that the php runtime isn't supported, index.php will render a basic error page. The other entry points don't need to support this I think.

Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptNov 12 2015, 10:31 PM
Krinkle triaged this task as Low priority.
Krinkle renamed this task from [Regression] load.php no longer parses on old PHP versions to [Regression] PHP version check broken in load.php and api.php.Nov 12 2015, 10:35 PM

Change 252856 had a related patch set uploaded (by Krinkle):
Remove PHP detection from entry points other than index.php

https://gerrit.wikimedia.org/r/252856

Change 252856 merged by jenkins-bot:
Remove PHP detection from entry points other than index.php

https://gerrit.wikimedia.org/r/252856

Krinkle closed this task as Resolved.Nov 13 2015, 1:12 AM
Krinkle claimed this task.
Krinkle moved this task from Accepted: Bugs to Assigned on the MediaWiki-ResourceLoader board.